viernes, 11 de enero de 2013

Como resguardarce del problema en Java, algunas sugerencias básicas

Al igual que al conocerse, el el pasado mes de agosto de 2012, el exploit descubierto en Java que afectaba a Java Runtime Environment (JRE) en su versión 1.7 y que abría la puerta, a cualquier atacante, para ejecutar código de forma remota e infectar el equipo de los usuarios, tanto si contaban con Windows como sistema operativo como Mac OS X o Linux, la primera sugerencia realizada por los expertos fue la deshabilitación de Java en los navegadores.

Hoy la línea sugerida, ante éste nuevo problema en Java, es desactivar el plug-in de Java tan pronto como sea posible. Estos son los pasos a seguir para la deshabilitación de Java en los navegadores:
  • Google Chrome: Escribimos "chrome://plugins/" en la barra de direcciones y buscamos y desactivamos el complemento Java.
  • Internet Explorer: Desde el Menú de Herramientas accedemos a Opciones de Internet. En la pestaña Programas buscamos Gestionar complementos y deshabilitamos el Java Plug-in.
  • Mozilla Firefox: Entramos en Complementos desde el menú de herramientas y en el panel Plugins deshabilitamos Java Plug-in o Java Applet Plug-in (el nombre depende del sistema operativo que tengamos).
  • Safari: Accedemos a la pestaña de Seguridad en Preferencias y desmarcamos la opción Habilitar Java.
Tenga en cuenta que también de puede desinstalar Java del equipo, en Windows acceda al Panel de Control, luego a "Desinstalar o cambiar un programa", y luego seleccionarlo de la lista y hacer clic en "Desinstalar".

La desactivación o desinstalación de Java, si bien es la primera línea de defensa para el nuevo problema, también evitará la normal ejecución de aplicaciones y visualización de websites. Situación que se superará una vez se lancen los parches para corregir ésta nueva y grave vulnerabilidad en la versión Java 7 Update 10.

Muy importante es que si Ud. no es un usuario con los conocimientos suficientes para desinstalar y/o desactivar programas y aplicaciones, busque el asesoramiento que corresponde.

Actualización 14/1/2013:

Oracle ha lanzado el Alerta de seguridad CVE-2013-0422 para hacer frente a la falla en el software de Java integrado en los navegadores web. Más información en: Oracle lanza la actualización Java SE 7 Update 11 que corregiría la vulnerabilidad. 14/01/2013.

Post relacionados:

No hay comentarios.:

Publicar un comentario

Antes de colocar un comentario tenga en cuenta que no se permitirán comentarios que:
- sean anónimos y/o posean sólo un nickname.
- no estén vinculados a una cuenta.
- posean links promocionando páginas y/o sitios
- puedan resultar ofensivos o injuriosos
- incluyan insultos, alusiones sexuales innecesarias y
palabras soeces o vulgares
- apoyen la pedofilia, el terrorismo o la xenofobia.

Este Blog ni su autor tiene responsabilidad alguna sobre comentarios de terceros, los mismos son de exclusiva responsabilidad del que los emite. De todas maneras, por responsabilidad editorial me reservo el derecho de eliminar aquellos comentarios que considere inadecuados, abusivos, injuriantes, discriminadores y/o contrarios a las leyes de la República Argentina.